package com.kmall.api.service;

import com.kmall.api.dao.ApiFreightMapper;
import com.kmall.api.entity.FreightEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-10-22 17:20:31
 */
@Service
public class ApiFreightService {
    @Autowired
    private ApiFreightMapper freightDao;

    
    public FreightEntity queryObject(Integer id) {
        return freightDao.queryObject(id);
    }

    
    public List<FreightEntity> queryList(Map<String, Object> map) {
        return freightDao.queryList(map);
    }

    
    public int queryTotal(Map<String, Object> map) {
        return freightDao.queryTotal(map);
    }

    
    public int save(FreightEntity freight) {
        return freightDao.save(freight);
    }

    
    public int update(FreightEntity freight) {
        return freightDao.update(freight);
    }

    
    public int delete(Integer id) {
        return freightDao.delete(id);
    }

    
    public int deleteBatch(Integer[]ids) {
        return freightDao.deleteBatch(ids);
    }


    public FreightEntity queryObjectByGoodsId(Long id,Long storeId) {
        return freightDao.queryObjectByGoodsId(id,storeId);
    }
}
